## Router

### an atom/audio/CV router LV2 plugin bundle

#### Build status

[![build status](https://gitlab.com/OpenMusicKontrollers/router.lv2/badges/master/build.svg)](https://gitlab.com/OpenMusicKontrollers/router.lv2/commits/master)

### Binaries

For GNU/Linux (64-bit, 32-bit, armv7), Windows (64-bit, 32-bit) and MacOS
(64/32-bit univeral).

To install the plugin bundle on your system, simply copy the __router.lv2__
folder out of the platform folder of the downloaded package into your
[LV2 path](http://lv2plug.in/pages/filesystem-hierarchy-standard.html).

<!--
#### Stable release

* [router.lv2-0.16.0.zip](https://dl.open-music-kontrollers.ch/router.lv2/stable/router.lv2-0.16.0.zip) ([sig](https://dl.open-music-kontrollers.ch/router.lv2/stable/router.lv2-0.16.0.zip.sig))
-->

#### Unstable (nightly) release

* [router.lv2-latest-unstable.zip](https://dl.open-music-kontrollers.ch/router.lv2/unstable/router.lv2-latest-unstable.zip) ([sig](https://dl.open-music-kontrollers.ch/router.lv2/unstable/router.lv2-latest-unstable.zip.sig))

### Sources

<!--
#### Stable release

* [router.lv2-0.16.0.tar.xz](https://git.open-music-kontrollers.ch/lv2/router.lv2/snapshot/router.lv2-0.16.0.tar.xz)
-->

#### Git repository

* <https://git.open-music-kontrollers.ch/lv2/router.lv2>

<!--
### Packages

* [ArchLinux](https://www.archlinux.org/packages/community/x86_64/router.lv2/)
-->

### Bugs and feature requests

* [Gitlab](https://gitlab.com/OpenMusicKontrollers/router.lv2)
* [Github](https://github.com/OpenMusicKontrollers/router.lv2)

#### Plugins

##### Atom bouncer

Lets you bounce atom events in an 8-to-1 port configuration.

##### Atom deflector

Lets you deflect atom events in a 1-to-1 port configuration.

##### Atom sprinkler

Lets you sprinkle atom events in a 1-to-8 port configuration.

##### Audio bouncer

Lets you bounce audio samples in an 8-to-1 port configuration.

##### Audio deflector

Lets you deflect audio samples in a 1-to-1 port configuration.

##### Audio sprinkler

Lets you sprinkle audio samples in a 1-to-8 port configuration.

##### Audio bouncer stereo

Lets you bounce audio samples in an 8-to-1 stereo port configuration.

##### Audio deflector stereo

Lets you deflect audio samples in a 1-to-1 stereo port configuration.

##### Audio sprinkler stereo

Lets you sprinkle audio samples in a 1-to-8 stereo port configuration.

##### CV bouncer

Lets you bounce control voltage samples in an 8-to-1 port configuration.

##### CV deflector

Lets you deflect control voltage samples in a 1-to-1 port configuration.

##### CV sprinkler

Lets you sprinkle control voltage samples in a 1-to-8 port configuration.


#### Dependencies

* [LV2](http://lv2plug.in) (LV2 Plugin Standard)

#### Build / install

	git clone https://git.open-music-kontrollers.ch/lv2/router.lv2
	cd router.lv2
	meson build
	cd build
	ninja -j4
	sudo ninja install

#### License

Copyright (c) 2017 Hanspeter Portner (dev@open-music-kontrollers.ch)

This is free software: you can redistribute it and/or modify
it under the terms of the Artistic License 2.0 as published by
The Perl Foundation.

This source is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
Artistic License 2.0 for more details.

You should have received a copy of the Artistic License 2.0
along the source as a COPYING file. If not, obtain it from
<http://www.perlfoundation.org/artistic_license_2_0>.
